Update Template
curl --request PATCH \
--url https://api.example.com/cabinet/admin/promo-offers/templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"message_text": "<string>",
"button_text": "<string>",
"valid_hours": 2,
"discount_percent": 1,
"bonus_amount_kopeks": 1,
"active_discount_hours": 2,
"test_duration_hours": 2,
"test_squad_uuids": [
"<string>"
],
"is_active": true
}
'import requests
url = "https://api.example.com/cabinet/admin/promo-offers/templates/{template_id}"
payload = {
"name": "<string>",
"message_text": "<string>",
"button_text": "<string>",
"valid_hours": 2,
"discount_percent": 1,
"bonus_amount_kopeks": 1,
"active_discount_hours": 2,
"test_duration_hours": 2,
"test_squad_uuids": ["<string>"],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
message_text: '<string>',
button_text: '<string>',
valid_hours: 2,
discount_percent: 1,
bonus_amount_kopeks: 1,
active_discount_hours: 2,
test_duration_hours: 2,
test_squad_uuids: ['<string>'],
is_active: true
})
};
fetch('https://api.example.com/cabinet/admin/promo-offers/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"offer_type": "<string>",
"message_text": "<string>",
"button_text": "<string>",
"valid_hours": 123,
"discount_percent": 123,
"bonus_amount_kopeks": 123,
"is_active": true,
"active_discount_hours": 123,
"test_duration_hours": 123,
"test_squad_uuids": [
"<string>"
],
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Promo Offers
Update Template
Update a promo offer template.
PATCH
/
cabinet
/
admin
/
promo-offers
/
templates
/
{template_id}
Update Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
x >= 1Required range:
x >= 0Required range:
x >= 0Required range:
x >= 1Required range:
x >= 1Response
Successful Response
⌘I
